diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.cc ns-3.44/src/mesh/model/dot11s/ie-dot11s-preq.cc
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-preq.cc	2025-03-09 16:55:49.639372000 -0700
@@ -380,7 +380,7 @@
             return;
         }
     }
-    /// \todo check overflow
+    /// @todo check overflow
     Ptr<DestinationAddressUnit> new_element = Create<DestinationAddressUnit>();
     new_element->SetFlags(doFlag, rfFlag, (dest_seq_number == 0));
     new_element->SetDestinationAddress(dest_address);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-preq.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-preq.h	2025-03-09 16:55:49.639372000 -0700
@@ -19,8 +19,8 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
- * \brief Describes an address unit in PREQ information element
+ * @ingroup dot11s
+ * @brief Describes an address unit in PREQ information element
  * See 7.3.2.96 for more details
  */
 class DestinationAddressUnit : public SimpleRefCount<DestinationAddressUnit>
@@ -29,44 +29,44 @@
     DestinationAddressUnit();
     /**
      * Set flags function
-     * \param doFlag the DO flag
-     * \param rfFlag the RF flag
-     * \param usnFlag the USN flag
+     * @param doFlag the DO flag
+     * @param rfFlag the RF flag
+     * @param usnFlag the USN flag
      */
     void SetFlags(bool doFlag, bool rfFlag, bool usnFlag);
     /**
      * Set destination address function
-     * \param dest_address the destination MAC address
+     * @param dest_address the destination MAC address
      */
     void SetDestinationAddress(Mac48Address dest_address);
     /**
      * Set destination sequence number
-     * \param dest_seq_number the destination sequence number
+     * @param dest_seq_number the destination sequence number
      */
     void SetDestSeqNumber(uint32_t dest_seq_number);
     /**
      * Is do function
-     * \returns true if DO flag is set
+     * @returns true if DO flag is set
      */
     bool IsDo() const;
     /**
      * is RF function
-     * \returns true if RF flag is set
+     * @returns true if RF flag is set
      */
     bool IsRf() const;
     /**
      * Is USN function
-     * \returns true if USN flag set
+     * @returns true if USN flag set
      */
     bool IsUsn() const;
     /**
      * Get destination address function
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetDestinationAddress() const;
     /**
      * Get destination sequence number
-     * \returns the destination sequence number
+     * @returns the destination sequence number
      */
     uint32_t GetDestSeqNumber() const;
 
@@ -80,16 +80,16 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const DestinationAddressUnit& a, const DestinationAddressUnit& b);
 };
 
 /**
- * \ingroup dot11s
- * \brief See 7.3.2.96 of 802.11s draft 2.07
+ * @ingroup dot11s
+ * @brief See 7.3.2.96 of 802.11s draft 2.07
  */
 class IePreq : public WifiInformationElement
 {
@@ -100,10 +100,10 @@
      * Add a destination address unit: flags, destination and sequence
      * number
      *
-     * \param doFlag
-     * \param rfFlag
-     * \param dest_address
-     * \param dest_seq_number
+     * @param doFlag
+     * @param rfFlag
+     * @param dest_address
+     * @param dest_seq_number
      */
     void AddDestinationAddressElement(bool doFlag,
                                       bool rfFlag,
@@ -111,20 +111,20 @@
                                       uint32_t dest_seq_number);
     /**
      * Delete a destination address unit by destination
-     * \param dest_address the destination address
+     * @param dest_address the destination address
      */
     void DelDestinationAddressElement(Mac48Address dest_address);
     /// Clear PREQ: remove all destinations
     void ClearDestinationAddressElements();
     /**
      * Get all destinations, which are stored in PREQ:
-     * \returns the list of destination addresses
+     * @returns the list of destination addresses
      */
     std::vector<Ptr<DestinationAddressUnit>> GetDestinationList();
     /// Set flag indicating that PREQ is unicast
     void SetUnicastPreq();
     /**
-     * \brief Set Proactive PREP subfield to off
+     * @brief Set Proactive PREP subfield to off
      */
     void SetNeedNotPrep();
 
@@ -132,94 +132,94 @@
     /**
      * Set number of hops from originator to mesh STA transmitting this
      * element
-     * \param hopcount the hop count
+     * @param hopcount the hop count
      */
     void SetHopcount(uint8_t hopcount);
     /**
      * Set remaining number of hops allowed for this element
-     * \param ttl the TTL
+     * @param ttl the TTL
      */
     void SetTTL(uint8_t ttl);
     /**
      * Set path discovery id field
-     * \param id some unique id for this path discovery
+     * @param id some unique id for this path discovery
      */
     void SetPreqID(uint32_t id);
     /**
      * Set originator address value
-     * \param originator_address the originator MAC address
+     * @param originator_address the originator MAC address
      */
     void SetOriginatorAddress(Mac48Address originator_address);
     /**
      * Set originator sequence number
-     * \param originator_seq_number
+     * @param originator_seq_number
      */
     void SetOriginatorSeqNumber(uint32_t originator_seq_number);
     /**
      * Set lifetime in TUs for the forwarding information to be considered valid
-     * \param lifetime the lifetime in TUs
+     * @param lifetime the lifetime in TUs
      */
     void SetLifetime(uint32_t lifetime);
     /**
      * Set metric value
-     * \param metric the metric
+     * @param metric the metric
      */
     void SetMetric(uint32_t metric);
     /**
      * Set destination count value
-     * \param dest_count the destination count
+     * @param dest_count the destination count
      */
     void SetDestCount(uint8_t dest_count);
 
     // Getters for fields:
     /**
      * Is unicast PREQ function
-     * \returns true if unicast PREQ
+     * @returns true if unicast PREQ
      */
     bool IsUnicastPreq() const;
     /**
      * Check whether Proactive PREP subfield to off
-     * \returns true if need not Proactive PREP subfield is off
+     * @returns true if need not Proactive PREP subfield is off
      */
     bool IsNeedNotPrep() const;
     /**
      * Get hop count value
-     * \returns the hop count
+     * @returns the hop count
      */
     uint8_t GetHopCount() const;
     /**
      * Get TTL value
-     * \returns the TTL
+     * @returns the TTL
      */
     uint8_t GetTtl() const;
     /**
      * Get path discovery id field
-     * \returns the path discovery ID
+     * @returns the path discovery ID
      */
     uint32_t GetPreqID() const;
     /**
      * Get originator address value
-     * \returns the originator MAC address
+     * @returns the originator MAC address
      */
     Mac48Address GetOriginatorAddress() const;
     /**
      * Get originator sequence number value
-     * \returns the originator sequence number
+     * @returns the originator sequence number
      */
     uint32_t GetOriginatorSeqNumber() const;
     /**
      * Get lifetime value
-     * \returns the lifetime in TUs
+     * @returns the lifetime in TUs
      */
     uint32_t GetLifetime() const;
     /**
      * Get metric value
-     * \returns the metric
+     * @returns the metric
      */
     uint32_t GetMetric() const;
     /**
      * Get destination count
-     * \returns the destination count
+     * @returns the destination count
      */
     uint8_t GetDestCount() const;
 
@@ -227,19 +227,19 @@
     void DecrementTtl();
     /**
      * Handle Metric:
-     * \param metric the mteric to increment
+     * @param metric the mteric to increment
      */
     void IncrementMetric(uint32_t metric);
     /**
-     * \brief Checks that preq's originator address equals to originator, and
+     * @brief Checks that preq's originator address equals to originator, and
      * this preq is not proactive
-     * \param originator the originator address
-     * \returns true if it may add
+     * @param originator the originator address
+     * @returns true if it may add
      */
     bool MayAddAddress(Mac48Address originator);
     /**
      * Is full function
-     * \returns true if full
+     * @returns true if full
      */
     bool IsFull() const;
 
@@ -253,7 +253,7 @@
   private:
     /**
      * how many destinations we support
-     * \todo make as an attribute
+     * @todo make as an attribute
      */
     uint8_t m_maxSize;
 
@@ -271,9 +271,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IePreq& a, const IePreq& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-rann.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-rann.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-rann.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-rann.h	2025-03-09 16:55:49.639372000 -0700
@@ -17,8 +17,8 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
- * \brief Root announcement (RANN) element
+ * @ingroup dot11s
+ * @brief Root announcement (RANN) element
  */
 class IeRann : public WifiInformationElement
 {
@@ -27,71 +27,71 @@
     ~IeRann() override;
     /**
      * Set flags field
-     * \param flags the flags value to set
+     * @param flags the flags value to set
      */
     void SetFlags(uint8_t flags);
     /**
      * Set hop count value to number of hops from the originating root mesh
      * STA to the mesh STA transmitting this element
-     * \param hopcount the hop count
+     * @param hopcount the hop count
      */
     void SetHopcount(uint8_t hopcount);
     /**
      * Set TTL value to the remaining number of hops allowed
-     * \param ttl the TTL
+     * @param ttl the TTL
      */
     void SetTTL(uint8_t ttl);
     /**
      * Set originator address value
-     * \param originator_address the originator MAC address
+     * @param originator_address the originator MAC address
      */
     void SetOriginatorAddress(Mac48Address originator_address);
     /**
      * Set destination sequence number value
-     * \param dest_seq_number the destination sequence number
+     * @param dest_seq_number the destination sequence number
      */
     void SetDestSeqNumber(uint32_t dest_seq_number);
     /**
      * Set metric value to cumulative metric from originating root mesh STA
      * to the mesh STA transmitting the announcement
-     * \param metric the metric to set
+     * @param metric the metric to set
      */
     void SetMetric(uint32_t metric);
     /**
      * Get flags value
-     * \returns the flags
+     * @returns the flags
      */
     uint8_t GetFlags() const;
     /**
      * Get hop count value
-     * \returns the hop count
+     * @returns the hop count
      */
     uint8_t GetHopcount() const;
     /**
      * Get TTL value
-     * \returns the TTL
+     * @returns the TTL
      */
     uint8_t GetTtl() const;
     /**
      * Get originator address value
-     * \returns the MAC address of the originator
+     * @returns the MAC address of the originator
      */
     Mac48Address GetOriginatorAddress();
     /**
      * Get destination sequence number value
-     * \returns the destination sequence number
+     * @returns the destination sequence number
      */
     uint32_t GetDestSeqNumber() const;
     /**
      * Get metric value
-     * \returns the metric
+     * @returns the metric
      */
     uint32_t GetMetric() const;
     /// Decrement TTL function
     void DecrementTtl();
     /**
      * Increment metric
-     * \param metric the value to increment
+     * @param metric the value to increment
      */
     void IncrementMetric(uint32_t metric);
 
@@ -113,9 +113,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IeRann& a, const IeRann& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-link.cc ns-3.44/src/mesh/model/dot11s/peer-link.cc
--- ns-3.43/src/mesh/model/dot11s/peer-link.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-link.cc	2025-03-09 16:55:49.639372000 -0700
@@ -80,8 +80,8 @@
       m_peerLinkId(0),
       m_assocId(0),
       m_peerAssocId(0),
-      m_lastBeacon(Seconds(0)),
-      m_beaconInterval(Seconds(0)),
+      m_lastBeacon(),
+      m_beaconInterval(),
       m_packetFail(0),
       m_state(IDLE),
       m_retryCounter(0),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-link-frame.cc ns-3.44/src/mesh/model/dot11s/peer-link-frame.cc
--- ns-3.43/src/mesh/model/dot11s/peer-link-frame.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-link-frame.cc	2025-03-09 16:55:49.639372000 -0700
@@ -43,7 +43,7 @@
 PeerLinkOpenStart::GetFields() const
 {
     PlinkOpenStartFields retval;
-    /// \todo protocol version:
+    /// @todo protocol version:
     retval.capability = m_capability;
     retval.rates = m_rates;
     retval.extendedRates = m_extendedRates;
@@ -169,7 +169,7 @@
 PeerLinkCloseStart::GetFields() const
 {
     PlinkCloseStartFields retval;
-    /// \todo protocol version:
+    /// @todo protocol version:
     retval.meshId = m_meshId;
 
     return retval;
@@ -258,7 +258,7 @@
 PeerLinkConfirmStart::GetFields() const
 {
     PlinkConfirmStartFields retval;
-    /// \todo protocol version:
+    /// @todo protocol version:
     retval.capability = m_capability;
     retval.aid = m_aid;
     retval.rates = m_rates;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-link-frame.h ns-3.44/src/mesh/model/dot11s/peer-link-frame.h
--- ns-3.43/src/mesh/model/dot11s/peer-link-frame.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-link-frame.h	2025-03-09 16:55:49.639372000 -0700
@@ -23,9 +23,9 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief 802.11s Peer link open management frame
+ * @brief 802.11s Peer link open management frame
  *
  * Peer link open start frame includes the following:
  * - Capability
@@ -42,7 +42,7 @@
     PeerLinkOpenStart(const PeerLinkOpenStart&) = delete;
     PeerLinkOpenStart& operator=(const PeerLinkOpenStart&) = delete;
 
-    /// \brief fields:
+    /// @brief fields:
     struct PlinkOpenStartFields
     {
         IePeeringProtocol protocol; ///< Peering protocol version - 3 octets
@@ -55,18 +55,18 @@
 
     /**
      * Set peer link open start fields
-     * \param fields PlinkOpenStartFields to set
+     * @param fields PlinkOpenStartFields to set
      */
     void SetPlinkOpenStart(PlinkOpenStartFields fields);
     /**
      * Get peer link open start fields
-     * \return PlinkOpenStartFields
+     * @return PlinkOpenStartFields
      */
     PlinkOpenStartFields GetFields() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from header:
@@ -86,9 +86,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const PeerLinkOpenStart& a, const PeerLinkOpenStart& b);
 };
@@ -96,9 +96,9 @@
 bool operator==(const PeerLinkOpenStart& a, const PeerLinkOpenStart& b);
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief 802.11s Peer link close management frame
+ * @brief 802.11s Peer link close management frame
  *
  * Peer link close frame includes the following:
  * - Mesh ID of mesh
@@ -112,7 +112,7 @@
     PeerLinkCloseStart(const PeerLinkCloseStart&) = delete;
     PeerLinkCloseStart& operator=(const PeerLinkCloseStart&) = delete;
 
-    /// \brief fields:
+    /// @brief fields:
     struct PlinkCloseStartFields
     {
         IePeeringProtocol protocol; ///< Peering protocol version - 3 octets
@@ -121,18 +121,18 @@
 
     /**
      * Set peer link close start fields
-     * \param fields PlinkCloseStartFields to set
+     * @param fields PlinkCloseStartFields to set
      */
     void SetPlinkCloseStart(PlinkCloseStartFields fields);
     /**
      * Get peer link close start fields
-     * \return PlinkOpenStartFields
+     * @return PlinkOpenStartFields
      */
     PlinkCloseStartFields GetFields() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from header:
@@ -148,9 +148,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const PeerLinkCloseStart& a, const PeerLinkCloseStart& b);
 };
@@ -158,9 +158,9 @@
 bool operator==(const PeerLinkCloseStart& a, const PeerLinkCloseStart& b);
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief 802.11s Peer link confirm management frame
+ * @brief 802.11s Peer link confirm management frame
  *
  * Peer link confirm frame includes the following:
  * - Association ID field
@@ -176,7 +176,7 @@
     PeerLinkConfirmStart(const PeerLinkConfirmStart&) = delete;
     PeerLinkConfirmStart& operator=(const PeerLinkConfirmStart&) = delete;
 
-    /// \brief fields:
+    /// @brief fields:
     struct PlinkConfirmStartFields
     {
         IePeeringProtocol protocol; ///< Peering protocol version - 3 octets
@@ -189,18 +189,18 @@
 
     /**
      * Set peer link confirm start fields
-     * \param fields PlinkCloseStartFields to set
+     * @param fields PlinkCloseStartFields to set
      */
     void SetPlinkConfirmStart(PlinkConfirmStartFields fields);
     /**
      * Get peer link confirm start fields
-     * \return PlinkOpenStartFields
+     * @return PlinkOpenStartFields
      */
     PlinkConfirmStartFields GetFields() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from header:
@@ -220,9 +220,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const PeerLinkConfirmStart& a, const PeerLinkConfirmStart& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-link.h ns-3.44/src/mesh/model/dot11s/peer-link.h
--- ns-3.43/src/mesh/model/dot11s/peer-link.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-link.h	2025-03-09 16:55:49.639372000 -0700
@@ -28,9 +28,9 @@
 class PeerManagementProtocolMac;
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Peer link model for 802.11s Peer Management protocol
+ * @brief Peer link model for 802.11s Peer Management protocol
  */
 class PeerLink : public Object
 {
@@ -38,8 +38,8 @@
     /// allow PeerManagementProtocol class friend access
     friend class PeerManagementProtocol;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /// C-tor create empty link
@@ -64,93 +64,93 @@
     };
 
     /**
-     * \brief Literal names of Mesh Peer Management states for use in log messages
+     * @brief Literal names of Mesh Peer Management states for use in log messages
      */
     static const char* const PeerStateNames[6];
     /**
      * Process beacon received from peer
      *
-     * \param lastBeacon the last beacon
-     * \param BeaconInterval the beacon interval
+     * @param lastBeacon the last beacon
+     * @param BeaconInterval the beacon interval
      */
     void SetBeaconInformation(Time lastBeacon, Time BeaconInterval);
     /**
-     * \brief Method used to detect peer link changes
+     * @brief Method used to detect peer link changes
      *
-     * \param cb is a callback, which notifies, that on interface (uint32_t), peer link
+     * @param cb is a callback, which notifies, that on interface (uint32_t), peer link
      * with address (Mac48Address) was opened (bool is true) or closed (bool is false)
      */
     void SetLinkStatusCallback(Callback<void, uint32_t, Mac48Address, bool> cb);
-    /// \name Peer link getters/setters
+    /// @name Peer link getters/setters
     ///@{
     /**
      * Set the peer address
-     * \param macaddr the peer mac address
+     * @param macaddr the peer mac address
      */
     void SetPeerAddress(Mac48Address macaddr);
     /**
      * Set the peer mesh point address
-     * \param macaddr the peer mesh point address
+     * @param macaddr the peer mesh point address
      */
     void SetPeerMeshPointAddress(Mac48Address macaddr);
     /**
      * Set the interface
-     * \param interface the interface
+     * @param interface the interface
      */
     void SetInterface(uint32_t interface);
     /**
      * Set the local link ID
-     * \param id the local link ID
+     * @param id the local link ID
      */
     void SetLocalLinkId(uint16_t id);
     /**
      * Set the local association ID
-     * \param aid the local association ID
+     * @param aid the local association ID
      */
     void SetLocalAid(uint16_t aid);
     /**
      * Set the peer association ID
-     * \return The peer association ID
+     * @return The peer association ID
      */
     uint16_t GetPeerAid() const;
     /**
      * Set the beacon timing element
-     * \param beaconTiming the beacon timing element
+     * @param beaconTiming the beacon timing element
      */
     void SetBeaconTimingElement(IeBeaconTiming beaconTiming);
     /**
      * Get the peer address
-     * \return The peer address
+     * @return The peer address
      */
     Mac48Address GetPeerAddress() const;
     /**
      * Get the local association ID
-     * \return The local association ID
+     * @return The local association ID
      */
     uint16_t GetLocalAid() const;
     /**
      * Get the time of the last received beacon
-     * \return The time of the last received beacon
+     * @return The time of the last received beacon
      */
     Time GetLastBeacon() const;
     /**
      * Get the beacon interval
-     * \return The beacon interval
+     * @return The beacon interval
      */
     Time GetBeaconInterval() const;
     /**
      * Get the beacon timing element
-     * \return The beacon timing element
+     * @return The beacon timing element
      */
     IeBeaconTiming GetBeaconTimingElement() const;
     // IePeerManagement GetPeerLinkDescriptorElement ()const;
     ///@}
 
-    /// \name MLME
+    /// @name MLME
     ///@{
     /**
      * MLME-CancelPeerLink.request
-     * \param reason the reason for the request
+     * @param reason the reason for the request
      */
     void MLMECancelPeerLink(PmpReasonCode reason);
     /// MLME-ActivePeerLinkOpen.request
@@ -167,7 +167,7 @@
         SignalStatusCallback;
     /**
      * Set callback
-     * \param cb the callback function
+     * @param cb the callback function
      */
     void MLMESetSignalStatusCallback(SignalStatusCallback cb);
     /// Reports about transmission success/failure
@@ -176,8 +176,8 @@
     ///@}
 
     /**
-     * \brief Statistics
-     * \param os the output stream
+     * @brief Statistics
+     * @param os the output stream
      */
     void Report(std::ostream& os) const;
 
@@ -202,14 +202,14 @@
     /**
      * State transition
      *
-     * \param event the event to update the state machine
-     * \param reasoncode the reason for the state transition
+     * @param event the event to update the state machine
+     * @param reasoncode the reason for the state transition
      */
     void StateMachine(PeerEvent event, PmpReasonCode = REASON11S_RESERVED);
     /**
-     * \name Link response to received management frames
+     * @name Link response to received management frames
      *
-     * \attention In all this methods {local/peer}LinkID correspond to _peer_ station, as written in
+     * @attention In all this methods {local/peer}LinkID correspond to _peer_ station, as written in
      * received frame, e.g. I am peerLinkID and peer link is localLinkID .
      *
      */
@@ -217,26 +217,26 @@
     /**
      * Close link
      *
-     * \param localLinkID the local link ID
-     * \param peerLinkID the peer link ID
-     * \param reason the reason to close
+     * @param localLinkID the local link ID
+     * @param peerLinkID the peer link ID
+     * @param reason the reason to close
      */
     void Close(uint16_t localLinkID, uint16_t peerLinkID, PmpReasonCode reason);
     /**
      * Accept open link
      *
-     * \param localLinkId the local link ID
-     * \param conf the IE configuration
-     * \param peerMp the peer MP
+     * @param localLinkId the local link ID
+     * @param conf the IE configuration
+     * @param peerMp the peer MP
      */
     void OpenAccept(uint16_t localLinkId, IeConfiguration conf, Mac48Address peerMp);
     /**
      * Reject open link
      *
-     * \param localLinkId the local link ID
-     * \param conf the IE configuration
-     * \param peerMp the peer MP
-     * \param reason the reason to close
+     * @param localLinkId the local link ID
+     * @param conf the IE configuration
+     * @param peerMp the peer MP
+     * @param reason the reason to close
      */
     void OpenReject(uint16_t localLinkId,
                     IeConfiguration conf,
@@ -245,11 +245,11 @@
     /**
      * Confirm accept
      *
-     * \param localLinkId the local link ID
-     * \param peerLinkId the peer link ID
-     * \param peerAid the peer AID
-     * \param conf the IE configuration
-     * \param peerMp the peer MP
+     * @param localLinkId the local link ID
+     * @param peerLinkId the peer link ID
+     * @param peerAid the peer AID
+     * @param conf the IE configuration
+     * @param peerMp the peer MP
      */
     void ConfirmAccept(uint16_t localLinkId,
                        uint16_t peerLinkId,
@@ -259,11 +259,11 @@
     /**
      * Confirm reject
      *
-     * \param localLinkId the local link ID
-     * \param peerLinkId the peer link ID
-     * \param conf the IE configuration
-     * \param peerMp the peer MP
-     * \param reason the reason to close
+     * @param localLinkId the local link ID
+     * @param peerLinkId the peer link ID
+     * @param conf the IE configuration
+     * @param peerMp the peer MP
+     * @param reason the reason to close
      */
     void ConfirmReject(uint16_t localLinkId,
                        uint16_t peerLinkId,
@@ -273,21 +273,21 @@
     ///@}
 
     /**
-     * \returns True if link is established
+     * @returns True if link is established
      */
     bool LinkIsEstab() const;
     /**
-     * \returns True if link is idle. Link can be deleted in this state
+     * @returns True if link is idle. Link can be deleted in this state
      */
     bool LinkIsIdle() const;
     /**
      * Set pointer to MAC-plugin, which is responsible for sending peer
      * link management frames
-     * \param plugin the peer management protocol MAC
+     * @param plugin the peer management protocol MAC
      */
     void SetMacPlugin(Ptr<PeerManagementProtocolMac> plugin);
     /**
-     * \name Event handlers
+     * @name Event handlers
      */
     ///@{
     /// Clear the retry timer
@@ -305,12 +305,12 @@
     ///@}
 
     /**
-     * \name Work with management frames
+     * @name Work with management frames
      */
     ///@{
     /**
      * Send a peer link close
-     * \param reasoncode reason for closing the line
+     * @param reasoncode reason for closing the line
      */
     void SendPeerLinkClose(PmpReasonCode reasoncode);
     /// Send a peer link open
@@ -320,7 +320,7 @@
     ///@}
 
     /**
-     * \name Timeout handlers
+     * @name Timeout handlers
      */
     ///@{
     /// Holding Timeout event handler
@@ -363,15 +363,15 @@
     /// Current state
     PeerState m_state;
     /**
-     * \brief Mesh interface configuration
-     * \attention Is not used now, nothing to configure :)
+     * @brief Mesh interface configuration
+     * @attention Is not used now, nothing to configure :)
      */
     IeConfiguration m_configuration;
     /// Beacon timing element received from the peer. Needed by BCA
     IeBeaconTiming m_beaconTiming;
 
     /**
-     * \name Timers & counters used for internal state transitions
+     * @name Timers & counters used for internal state transitions
      */
     ///@{
     uint16_t m_dot11MeshMaxRetries; //!< Maximum number of retries
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-management-protocol.cc ns-3.44/src/mesh/model/dot11s/peer-management-protocol.cc
--- ns-3.43/src/mesh/model/dot11s/peer-management-protocol.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-management-protocol.cc	2025-03-09 16:55:49.639372000 -0700
@@ -149,7 +149,7 @@
     {
         // If we do not know peer Assoc Id, we shall not add any info
         // to a beacon timing element
-        if ((*i)->GetBeaconInterval() == Seconds(0))
+        if ((*i)->GetBeaconInterval().IsZero())
         {
             // No beacon was received, do not include to the beacon timing element
             continue;
